Pedigree Class Reference
Inheritance diagram for Pedigree:
[legend]
Collaboration diagram for Pedigree:
[legend]

## Public Member Functions

void | Prepare (IFILE &input)
void | Load (IFILE &input)
void | LoadMendel (IFILE &input)
void | Prepare (const char *input)
void | Load (const char *input, bool allowFailures=false)
int | TranslateSexCode (const char *code, bool &failure)
void | PrepareDichotomization ()
int | Dichotomize (int trait, double mean=_NAN_)
void | DichotomizeAll (double mean=_NAN_)
void | WriteDataFile (FILE *output)
void | WritePedigreeFile (FILE *output)
void | WriteDataFile (const char *output)
void | WritePedigreeFile (const char *output)
void | WritePerson (FILE *output, int who, const char *famid=NULL, const char *pid=NULL, const char *fatid=NULL, const char *motid=NULL)
void | WriteRecodedPerson (FILE *output, int who, MarkerInfo **markerInfo, const char *famid=NULL, const char *pid=NULL, const char *fatid=NULL, const char *motid=NULL)
void | Sort ()
Family * | FindFamily (const char *famid)
Person * | FindPerson (const char *famid, const char *pid)
int | CountAlleles (int marker)
void | LumpAlleles (double treshold, bool reorder=true)
void | EstimateFrequencies (int estimator, bool quiet=false)
Person & | operator[] (int i)
bool | InheritanceCheck (bool abortIfInconsistent=true)
bool | AutosomalCheck ()
bool | SexLinkedCheck ()
bool | TwinCheck ()
void | MergeTwins ()
void | Trim (bool quiet=false, int *informative=NULL)
void | AddPerson (const char *famid, const char *pid, const char *fatid, const char *motid, int sex, bool delay_sort=false)
void | ExtractFamily (int id, Pedigree &new_ped)
void | ExtractOnAffection (int a, Pedigree &new_ped, int target_status=2)
void | Filter (IntArray &filter)
void | ShowMemoryInfo ()

## Public Attributes

int | size
int | count
Person ** | persons
int | familyCount
Family ** | families
int | haveTwins
PedigreeDescription | pd
PedigreeDescription * | multiPd
int | multiFileCount

## Static Public Attributes

static bool | sexAsCovariate = false
static String | missing
Static Public Attributes inherited from PedigreeGlobals
static int | traitCount = 0
static int | markerCount = 0
static int | affectionCount = 0
static int | covariateCount = 0
static int | stringCount = 0
static bool | chromosomeX = false
static bool | sexSpecificMap = false
static StringArray | traitNames
static StringArray | covariateNames
static StringArray | affectionNames
static StringArray | markerNames
static StringArray | stringNames
static StringIntHash | markerLookup
static StringIntHash | traitLookup
static StringIntHash | affectionLookup
static StringIntHash | covariateLookup
static StringIntHash | stringLookup
static int | markerInfoCount = 0
static int | markerInfoSize = 0
static MarkerInfo ** | markerInfo = NULL
static StringHash | markerInfoByName
static MarkerInfo ** | markerInfoByInteger = NULL

## Additional Inherited Members

Static Public Member Functions inherited from PedigreeGlobals
static int | GetTraitID (const char *name)
static int | GetMarkerID (const char *name)
static int | GetCovariateID (const char *name)
static int | GetAffectionID (const char *name)
static int | GetStringID (const char *name)
static int | LookupTrait (const char *name)
static int | LookupMarker (const char *name)
static int | LookupCovariate (const char *name)
static int | LookupAffection (const char *name)
static int | LookupString (const char *name)
static void | GrowMarkerInfo ()
static MarkerInfo * | GetMarkerInfo (String &name)
static MarkerInfo * | GetMarkerInfo (int marker)
static int | SortMarkersInMapOrder (IntArray &markers, int chromosome=-1)
static void | GetOrderedMarkers (IntArray &markers)
static void | FlagMissingMarkers (IntArray &missingMarkers)
static bool | MarkerPositionsAvailable ()
static bool | AlleleFrequenciesAvailable ()
static void | VerifySexSpecificOrder ()
static void | LoadAlleleFrequencies (const char *filename, bool required=false)
static void | LoadAlleleFrequencies (IFILE &file)
static void | LoadMarkerMap (const char *filename, bool filter=false)
static void | LoadMarkerMap (IFILE &file, bool filter=false)
static void | LoadBasepairMap (const char *filename)
static void | LoadBasepairMap (IFILE &file)
static void | WriteMapFile (const char *filename)
static void | WriteMapFile (FILE *file)
static void | WriteFreqFile (const char *filename, bool old_format=false)
static void | WriteFreqFile (FILE *file, bool old_format=false)
static int | LoadAllele (int marker, String &label)
static int | LoadAllele (MarkerInfo *info, String &label)

## Detailed Description

Definition at line 32 of file Pedigree.h.

The documentation for this class was generated from the following files:

- general/Pedigree.h
- general/Pedigree.cpp
- general/PedigreeLoader.cpp
- general/PedigreeTrim.cpp
- general/PedigreeTwin.cpp